IIsWebService (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iis.IIsWebService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iis
Interface IIsWebService

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebServer

    public interface IIsWebService

extends WebServer

Represents an instance of the IIS Service. Corresponds to IIsWebService

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`IIsParameter[]` | `getIIsParameters()`
`java.lang.String` | `getIIsParametersRaw()`
`java.lang.String` | `getImagePath()`
`java.lang.String` | `getRunAs()`
`IIsWebServer[]` | `getWebServers()`
`boolean` | `hasIIsParameters()`
`boolean` | `hasIIsParametersRaw()`
`boolean` | `hasImagePath()`
`boolean` | `hasRunAs()`
`boolean` | `hasWebServers()`
`void` | `setIIsParameters(IIsParameter[] parameters)`
`void` | `setIIsParametersRaw(java.lang.String parameters)`
`void` | `setImagePath(java.lang.String imagePath)`
`void` | `setRunAs(java.lang.String runAs)`
`void` | `setWebServers(IIsWebServer[] sites)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### setRunAs

    void setRunAs(java.lang.String runAs)

### getRunAs

    java.lang.String getRunAs()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunAs

    boolean hasRunAs()

### setImagePath

    void setImagePath(java.lang.String imagePath)

### getImagePath

    java.lang.String getImagePath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasImagePath

    boolean hasImagePath()

### setIIsParameters

    void setIIsParameters(IIsParameter[] parameters)

### getIIsParameters

    IIsParameter[] getIIsParameters()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasIIsParameters

    boolean hasIIsParameters()

### setIIsParametersRaw

    void setIIsParametersRaw(java.lang.String parameters)

### getIIsParametersRaw

    java.lang.String getIIsParametersRaw()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIIsParametersRaw

    boolean hasIIsParametersRaw()

### setWebServers

    void setWebServers(IIsWebServer[] sites)

### getWebServers

    IIsWebServer[] getWebServers()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasWebServers

    boolean hasWebServers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD